Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network205.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
205.0.0.0
Broadcast address
205.255.255.255
First usable
205.0.0.1
Last usable
205.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex CD000000 · Integer 3439329280 to 3456106495
Reverse DNS zone
205.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001101..00000000.00000000.00000000205.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11001101..00000000.00000000.00000000205.0.0.0
Broadcast11001101..11111111.11111111.11111111205.255.255.255
Split into smaller subnets/17

205.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1205.0.0.0/17205.0.0.1 to 205.0.127.254205.0.127.25532,766
2205.0.128.0/17205.0.128.1 to 205.0.255.254205.0.255.25532,766
3205.1.0.0/17205.1.0.1 to 205.1.127.254205.1.127.25532,766
4205.1.128.0/17205.1.128.1 to 205.1.255.254205.1.255.25532,766
5205.2.0.0/17205.2.0.1 to 205.2.127.254205.2.127.25532,766
6205.2.128.0/17205.2.128.1 to 205.2.255.254205.2.255.25532,766
7205.3.0.0/17205.3.0.1 to 205.3.127.254205.3.127.25532,766
8205.3.128.0/17205.3.128.1 to 205.3.255.254205.3.255.25532,766
9205.4.0.0/17205.4.0.1 to 205.4.127.254205.4.127.25532,766
10205.4.128.0/17205.4.128.1 to 205.4.255.254205.4.255.25532,766
11205.5.0.0/17205.5.0.1 to 205.5.127.254205.5.127.25532,766
12205.5.128.0/17205.5.128.1 to 205.5.255.254205.5.255.25532,766
13205.6.0.0/17205.6.0.1 to 205.6.127.254205.6.127.25532,766
14205.6.128.0/17205.6.128.1 to 205.6.255.254205.6.255.25532,766
15205.7.0.0/17205.7.0.1 to 205.7.127.254205.7.127.25532,766
16205.7.128.0/17205.7.128.1 to 205.7.255.254205.7.255.25532,766
17205.8.0.0/17205.8.0.1 to 205.8.127.254205.8.127.25532,766
18205.8.128.0/17205.8.128.1 to 205.8.255.254205.8.255.25532,766
19205.9.0.0/17205.9.0.1 to 205.9.127.254205.9.127.25532,766
20205.9.128.0/17205.9.128.1 to 205.9.255.254205.9.255.25532,766
21205.10.0.0/17205.10.0.1 to 205.10.127.254205.10.127.25532,766
22205.10.128.0/17205.10.128.1 to 205.10.255.254205.10.255.25532,766
23205.11.0.0/17205.11.0.1 to 205.11.127.254205.11.127.25532,766
24205.11.128.0/17205.11.128.1 to 205.11.255.254205.11.255.25532,766
25205.12.0.0/17205.12.0.1 to 205.12.127.254205.12.127.25532,766
26205.12.128.0/17205.12.128.1 to 205.12.255.254205.12.255.25532,766
27205.13.0.0/17205.13.0.1 to 205.13.127.254205.13.127.25532,766
28205.13.128.0/17205.13.128.1 to 205.13.255.254205.13.255.25532,766
29205.14.0.0/17205.14.0.1 to 205.14.127.254205.14.127.25532,766
30205.14.128.0/17205.14.128.1 to 205.14.255.254205.14.255.25532,766
31205.15.0.0/17205.15.0.1 to 205.15.127.254205.15.127.25532,766
32205.15.128.0/17205.15.128.1 to 205.15.255.254205.15.255.25532,766
33205.16.0.0/17205.16.0.1 to 205.16.127.254205.16.127.25532,766
34205.16.128.0/17205.16.128.1 to 205.16.255.254205.16.255.25532,766
35205.17.0.0/17205.17.0.1 to 205.17.127.254205.17.127.25532,766
36205.17.128.0/17205.17.128.1 to 205.17.255.254205.17.255.25532,766
37205.18.0.0/17205.18.0.1 to 205.18.127.254205.18.127.25532,766
38205.18.128.0/17205.18.128.1 to 205.18.255.254205.18.255.25532,766
39205.19.0.0/17205.19.0.1 to 205.19.127.254205.19.127.25532,766
40205.19.128.0/17205.19.128.1 to 205.19.255.254205.19.255.25532,766
41205.20.0.0/17205.20.0.1 to 205.20.127.254205.20.127.25532,766
42205.20.128.0/17205.20.128.1 to 205.20.255.254205.20.255.25532,766
43205.21.0.0/17205.21.0.1 to 205.21.127.254205.21.127.25532,766
44205.21.128.0/17205.21.128.1 to 205.21.255.254205.21.255.25532,766
45205.22.0.0/17205.22.0.1 to 205.22.127.254205.22.127.25532,766
46205.22.128.0/17205.22.128.1 to 205.22.255.254205.22.255.25532,766
47205.23.0.0/17205.23.0.1 to 205.23.127.254205.23.127.25532,766
48205.23.128.0/17205.23.128.1 to 205.23.255.254205.23.255.25532,766
49205.24.0.0/17205.24.0.1 to 205.24.127.254205.24.127.25532,766
50205.24.128.0/17205.24.128.1 to 205.24.255.254205.24.255.25532,766
51205.25.0.0/17205.25.0.1 to 205.25.127.254205.25.127.25532,766
52205.25.128.0/17205.25.128.1 to 205.25.255.254205.25.255.25532,766
53205.26.0.0/17205.26.0.1 to 205.26.127.254205.26.127.25532,766
54205.26.128.0/17205.26.128.1 to 205.26.255.254205.26.255.25532,766
55205.27.0.0/17205.27.0.1 to 205.27.127.254205.27.127.25532,766
56205.27.128.0/17205.27.128.1 to 205.27.255.254205.27.255.25532,766
57205.28.0.0/17205.28.0.1 to 205.28.127.254205.28.127.25532,766
58205.28.128.0/17205.28.128.1 to 205.28.255.254205.28.255.25532,766
59205.29.0.0/17205.29.0.1 to 205.29.127.254205.29.127.25532,766
60205.29.128.0/17205.29.128.1 to 205.29.255.254205.29.255.25532,766
61205.30.0.0/17205.30.0.1 to 205.30.127.254205.30.127.25532,766
62205.30.128.0/17205.30.128.1 to 205.30.255.254205.30.255.25532,766
63205.31.0.0/17205.31.0.1 to 205.31.127.254205.31.127.25532,766
64205.31.128.0/17205.31.128.1 to 205.31.255.254205.31.255.25532,766
65205.32.0.0/17205.32.0.1 to 205.32.127.254205.32.127.25532,766
66205.32.128.0/17205.32.128.1 to 205.32.255.254205.32.255.25532,766
67205.33.0.0/17205.33.0.1 to 205.33.127.254205.33.127.25532,766
68205.33.128.0/17205.33.128.1 to 205.33.255.254205.33.255.25532,766
69205.34.0.0/17205.34.0.1 to 205.34.127.254205.34.127.25532,766
70205.34.128.0/17205.34.128.1 to 205.34.255.254205.34.255.25532,766
71205.35.0.0/17205.35.0.1 to 205.35.127.254205.35.127.25532,766
72205.35.128.0/17205.35.128.1 to 205.35.255.254205.35.255.25532,766
73205.36.0.0/17205.36.0.1 to 205.36.127.254205.36.127.25532,766
74205.36.128.0/17205.36.128.1 to 205.36.255.254205.36.255.25532,766
75205.37.0.0/17205.37.0.1 to 205.37.127.254205.37.127.25532,766
76205.37.128.0/17205.37.128.1 to 205.37.255.254205.37.255.25532,766
77205.38.0.0/17205.38.0.1 to 205.38.127.254205.38.127.25532,766
78205.38.128.0/17205.38.128.1 to 205.38.255.254205.38.255.25532,766
79205.39.0.0/17205.39.0.1 to 205.39.127.254205.39.127.25532,766
80205.39.128.0/17205.39.128.1 to 205.39.255.254205.39.255.25532,766
81205.40.0.0/17205.40.0.1 to 205.40.127.254205.40.127.25532,766
82205.40.128.0/17205.40.128.1 to 205.40.255.254205.40.255.25532,766
83205.41.0.0/17205.41.0.1 to 205.41.127.254205.41.127.25532,766
84205.41.128.0/17205.41.128.1 to 205.41.255.254205.41.255.25532,766
85205.42.0.0/17205.42.0.1 to 205.42.127.254205.42.127.25532,766
86205.42.128.0/17205.42.128.1 to 205.42.255.254205.42.255.25532,766
87205.43.0.0/17205.43.0.1 to 205.43.127.254205.43.127.25532,766
88205.43.128.0/17205.43.128.1 to 205.43.255.254205.43.255.25532,766
89205.44.0.0/17205.44.0.1 to 205.44.127.254205.44.127.25532,766
90205.44.128.0/17205.44.128.1 to 205.44.255.254205.44.255.25532,766
91205.45.0.0/17205.45.0.1 to 205.45.127.254205.45.127.25532,766
92205.45.128.0/17205.45.128.1 to 205.45.255.254205.45.255.25532,766
93205.46.0.0/17205.46.0.1 to 205.46.127.254205.46.127.25532,766
94205.46.128.0/17205.46.128.1 to 205.46.255.254205.46.255.25532,766
95205.47.0.0/17205.47.0.1 to 205.47.127.254205.47.127.25532,766
96205.47.128.0/17205.47.128.1 to 205.47.255.254205.47.255.25532,766
97205.48.0.0/17205.48.0.1 to 205.48.127.254205.48.127.25532,766
98205.48.128.0/17205.48.128.1 to 205.48.255.254205.48.255.25532,766
99205.49.0.0/17205.49.0.1 to 205.49.127.254205.49.127.25532,766
100205.49.128.0/17205.49.128.1 to 205.49.255.254205.49.255.25532,766
101205.50.0.0/17205.50.0.1 to 205.50.127.254205.50.127.25532,766
102205.50.128.0/17205.50.128.1 to 205.50.255.254205.50.255.25532,766
103205.51.0.0/17205.51.0.1 to 205.51.127.254205.51.127.25532,766
104205.51.128.0/17205.51.128.1 to 205.51.255.254205.51.255.25532,766
105205.52.0.0/17205.52.0.1 to 205.52.127.254205.52.127.25532,766
106205.52.128.0/17205.52.128.1 to 205.52.255.254205.52.255.25532,766
107205.53.0.0/17205.53.0.1 to 205.53.127.254205.53.127.25532,766
108205.53.128.0/17205.53.128.1 to 205.53.255.254205.53.255.25532,766
109205.54.0.0/17205.54.0.1 to 205.54.127.254205.54.127.25532,766
110205.54.128.0/17205.54.128.1 to 205.54.255.254205.54.255.25532,766
111205.55.0.0/17205.55.0.1 to 205.55.127.254205.55.127.25532,766
112205.55.128.0/17205.55.128.1 to 205.55.255.254205.55.255.25532,766
113205.56.0.0/17205.56.0.1 to 205.56.127.254205.56.127.25532,766
114205.56.128.0/17205.56.128.1 to 205.56.255.254205.56.255.25532,766
115205.57.0.0/17205.57.0.1 to 205.57.127.254205.57.127.25532,766
116205.57.128.0/17205.57.128.1 to 205.57.255.254205.57.255.25532,766
117205.58.0.0/17205.58.0.1 to 205.58.127.254205.58.127.25532,766
118205.58.128.0/17205.58.128.1 to 205.58.255.254205.58.255.25532,766
119205.59.0.0/17205.59.0.1 to 205.59.127.254205.59.127.25532,766
120205.59.128.0/17205.59.128.1 to 205.59.255.254205.59.255.25532,766
121205.60.0.0/17205.60.0.1 to 205.60.127.254205.60.127.25532,766
122205.60.128.0/17205.60.128.1 to 205.60.255.254205.60.255.25532,766
123205.61.0.0/17205.61.0.1 to 205.61.127.254205.61.127.25532,766
124205.61.128.0/17205.61.128.1 to 205.61.255.254205.61.255.25532,766
125205.62.0.0/17205.62.0.1 to 205.62.127.254205.62.127.25532,766
126205.62.128.0/17205.62.128.1 to 205.62.255.254205.62.255.25532,766
127205.63.0.0/17205.63.0.1 to 205.63.127.254205.63.127.25532,766
128205.63.128.0/17205.63.128.1 to 205.63.255.254205.63.255.25532,766
129205.64.0.0/17205.64.0.1 to 205.64.127.254205.64.127.25532,766
130205.64.128.0/17205.64.128.1 to 205.64.255.254205.64.255.25532,766
131205.65.0.0/17205.65.0.1 to 205.65.127.254205.65.127.25532,766
132205.65.128.0/17205.65.128.1 to 205.65.255.254205.65.255.25532,766
133205.66.0.0/17205.66.0.1 to 205.66.127.254205.66.127.25532,766
134205.66.128.0/17205.66.128.1 to 205.66.255.254205.66.255.25532,766
135205.67.0.0/17205.67.0.1 to 205.67.127.254205.67.127.25532,766
136205.67.128.0/17205.67.128.1 to 205.67.255.254205.67.255.25532,766
137205.68.0.0/17205.68.0.1 to 205.68.127.254205.68.127.25532,766
138205.68.128.0/17205.68.128.1 to 205.68.255.254205.68.255.25532,766
139205.69.0.0/17205.69.0.1 to 205.69.127.254205.69.127.25532,766
140205.69.128.0/17205.69.128.1 to 205.69.255.254205.69.255.25532,766
141205.70.0.0/17205.70.0.1 to 205.70.127.254205.70.127.25532,766
142205.70.128.0/17205.70.128.1 to 205.70.255.254205.70.255.25532,766
143205.71.0.0/17205.71.0.1 to 205.71.127.254205.71.127.25532,766
144205.71.128.0/17205.71.128.1 to 205.71.255.254205.71.255.25532,766
145205.72.0.0/17205.72.0.1 to 205.72.127.254205.72.127.25532,766
146205.72.128.0/17205.72.128.1 to 205.72.255.254205.72.255.25532,766
147205.73.0.0/17205.73.0.1 to 205.73.127.254205.73.127.25532,766
148205.73.128.0/17205.73.128.1 to 205.73.255.254205.73.255.25532,766
149205.74.0.0/17205.74.0.1 to 205.74.127.254205.74.127.25532,766
150205.74.128.0/17205.74.128.1 to 205.74.255.254205.74.255.25532,766
151205.75.0.0/17205.75.0.1 to 205.75.127.254205.75.127.25532,766
152205.75.128.0/17205.75.128.1 to 205.75.255.254205.75.255.25532,766
153205.76.0.0/17205.76.0.1 to 205.76.127.254205.76.127.25532,766
154205.76.128.0/17205.76.128.1 to 205.76.255.254205.76.255.25532,766
155205.77.0.0/17205.77.0.1 to 205.77.127.254205.77.127.25532,766
156205.77.128.0/17205.77.128.1 to 205.77.255.254205.77.255.25532,766
157205.78.0.0/17205.78.0.1 to 205.78.127.254205.78.127.25532,766
158205.78.128.0/17205.78.128.1 to 205.78.255.254205.78.255.25532,766
159205.79.0.0/17205.79.0.1 to 205.79.127.254205.79.127.25532,766
160205.79.128.0/17205.79.128.1 to 205.79.255.254205.79.255.25532,766
161205.80.0.0/17205.80.0.1 to 205.80.127.254205.80.127.25532,766
162205.80.128.0/17205.80.128.1 to 205.80.255.254205.80.255.25532,766
163205.81.0.0/17205.81.0.1 to 205.81.127.254205.81.127.25532,766
164205.81.128.0/17205.81.128.1 to 205.81.255.254205.81.255.25532,766
165205.82.0.0/17205.82.0.1 to 205.82.127.254205.82.127.25532,766
166205.82.128.0/17205.82.128.1 to 205.82.255.254205.82.255.25532,766
167205.83.0.0/17205.83.0.1 to 205.83.127.254205.83.127.25532,766
168205.83.128.0/17205.83.128.1 to 205.83.255.254205.83.255.25532,766
169205.84.0.0/17205.84.0.1 to 205.84.127.254205.84.127.25532,766
170205.84.128.0/17205.84.128.1 to 205.84.255.254205.84.255.25532,766
171205.85.0.0/17205.85.0.1 to 205.85.127.254205.85.127.25532,766
172205.85.128.0/17205.85.128.1 to 205.85.255.254205.85.255.25532,766
173205.86.0.0/17205.86.0.1 to 205.86.127.254205.86.127.25532,766
174205.86.128.0/17205.86.128.1 to 205.86.255.254205.86.255.25532,766
175205.87.0.0/17205.87.0.1 to 205.87.127.254205.87.127.25532,766
176205.87.128.0/17205.87.128.1 to 205.87.255.254205.87.255.25532,766
177205.88.0.0/17205.88.0.1 to 205.88.127.254205.88.127.25532,766
178205.88.128.0/17205.88.128.1 to 205.88.255.254205.88.255.25532,766
179205.89.0.0/17205.89.0.1 to 205.89.127.254205.89.127.25532,766
180205.89.128.0/17205.89.128.1 to 205.89.255.254205.89.255.25532,766
181205.90.0.0/17205.90.0.1 to 205.90.127.254205.90.127.25532,766
182205.90.128.0/17205.90.128.1 to 205.90.255.254205.90.255.25532,766
183205.91.0.0/17205.91.0.1 to 205.91.127.254205.91.127.25532,766
184205.91.128.0/17205.91.128.1 to 205.91.255.254205.91.255.25532,766
185205.92.0.0/17205.92.0.1 to 205.92.127.254205.92.127.25532,766
186205.92.128.0/17205.92.128.1 to 205.92.255.254205.92.255.25532,766
187205.93.0.0/17205.93.0.1 to 205.93.127.254205.93.127.25532,766
188205.93.128.0/17205.93.128.1 to 205.93.255.254205.93.255.25532,766
189205.94.0.0/17205.94.0.1 to 205.94.127.254205.94.127.25532,766
190205.94.128.0/17205.94.128.1 to 205.94.255.254205.94.255.25532,766
191205.95.0.0/17205.95.0.1 to 205.95.127.254205.95.127.25532,766
192205.95.128.0/17205.95.128.1 to 205.95.255.254205.95.255.25532,766
193205.96.0.0/17205.96.0.1 to 205.96.127.254205.96.127.25532,766
194205.96.128.0/17205.96.128.1 to 205.96.255.254205.96.255.25532,766
195205.97.0.0/17205.97.0.1 to 205.97.127.254205.97.127.25532,766
196205.97.128.0/17205.97.128.1 to 205.97.255.254205.97.255.25532,766
197205.98.0.0/17205.98.0.1 to 205.98.127.254205.98.127.25532,766
198205.98.128.0/17205.98.128.1 to 205.98.255.254205.98.255.25532,766
199205.99.0.0/17205.99.0.1 to 205.99.127.254205.99.127.25532,766
200205.99.128.0/17205.99.128.1 to 205.99.255.254205.99.255.25532,766
201205.100.0.0/17205.100.0.1 to 205.100.127.254205.100.127.25532,766
202205.100.128.0/17205.100.128.1 to 205.100.255.254205.100.255.25532,766
203205.101.0.0/17205.101.0.1 to 205.101.127.254205.101.127.25532,766
204205.101.128.0/17205.101.128.1 to 205.101.255.254205.101.255.25532,766
205205.102.0.0/17205.102.0.1 to 205.102.127.254205.102.127.25532,766
206205.102.128.0/17205.102.128.1 to 205.102.255.254205.102.255.25532,766
207205.103.0.0/17205.103.0.1 to 205.103.127.254205.103.127.25532,766
208205.103.128.0/17205.103.128.1 to 205.103.255.254205.103.255.25532,766
209205.104.0.0/17205.104.0.1 to 205.104.127.254205.104.127.25532,766
210205.104.128.0/17205.104.128.1 to 205.104.255.254205.104.255.25532,766
211205.105.0.0/17205.105.0.1 to 205.105.127.254205.105.127.25532,766
212205.105.128.0/17205.105.128.1 to 205.105.255.254205.105.255.25532,766
213205.106.0.0/17205.106.0.1 to 205.106.127.254205.106.127.25532,766
214205.106.128.0/17205.106.128.1 to 205.106.255.254205.106.255.25532,766
215205.107.0.0/17205.107.0.1 to 205.107.127.254205.107.127.25532,766
216205.107.128.0/17205.107.128.1 to 205.107.255.254205.107.255.25532,766
217205.108.0.0/17205.108.0.1 to 205.108.127.254205.108.127.25532,766
218205.108.128.0/17205.108.128.1 to 205.108.255.254205.108.255.25532,766
219205.109.0.0/17205.109.0.1 to 205.109.127.254205.109.127.25532,766
220205.109.128.0/17205.109.128.1 to 205.109.255.254205.109.255.25532,766
221205.110.0.0/17205.110.0.1 to 205.110.127.254205.110.127.25532,766
222205.110.128.0/17205.110.128.1 to 205.110.255.254205.110.255.25532,766
223205.111.0.0/17205.111.0.1 to 205.111.127.254205.111.127.25532,766
224205.111.128.0/17205.111.128.1 to 205.111.255.254205.111.255.25532,766
225205.112.0.0/17205.112.0.1 to 205.112.127.254205.112.127.25532,766
226205.112.128.0/17205.112.128.1 to 205.112.255.254205.112.255.25532,766
227205.113.0.0/17205.113.0.1 to 205.113.127.254205.113.127.25532,766
228205.113.128.0/17205.113.128.1 to 205.113.255.254205.113.255.25532,766
229205.114.0.0/17205.114.0.1 to 205.114.127.254205.114.127.25532,766
230205.114.128.0/17205.114.128.1 to 205.114.255.254205.114.255.25532,766
231205.115.0.0/17205.115.0.1 to 205.115.127.254205.115.127.25532,766
232205.115.128.0/17205.115.128.1 to 205.115.255.254205.115.255.25532,766
233205.116.0.0/17205.116.0.1 to 205.116.127.254205.116.127.25532,766
234205.116.128.0/17205.116.128.1 to 205.116.255.254205.116.255.25532,766
235205.117.0.0/17205.117.0.1 to 205.117.127.254205.117.127.25532,766
236205.117.128.0/17205.117.128.1 to 205.117.255.254205.117.255.25532,766
237205.118.0.0/17205.118.0.1 to 205.118.127.254205.118.127.25532,766
238205.118.128.0/17205.118.128.1 to 205.118.255.254205.118.255.25532,766
239205.119.0.0/17205.119.0.1 to 205.119.127.254205.119.127.25532,766
240205.119.128.0/17205.119.128.1 to 205.119.255.254205.119.255.25532,766
241205.120.0.0/17205.120.0.1 to 205.120.127.254205.120.127.25532,766
242205.120.128.0/17205.120.128.1 to 205.120.255.254205.120.255.25532,766
243205.121.0.0/17205.121.0.1 to 205.121.127.254205.121.127.25532,766
244205.121.128.0/17205.121.128.1 to 205.121.255.254205.121.255.25532,766
245205.122.0.0/17205.122.0.1 to 205.122.127.254205.122.127.25532,766
246205.122.128.0/17205.122.128.1 to 205.122.255.254205.122.255.25532,766
247205.123.0.0/17205.123.0.1 to 205.123.127.254205.123.127.25532,766
248205.123.128.0/17205.123.128.1 to 205.123.255.254205.123.255.25532,766
249205.124.0.0/17205.124.0.1 to 205.124.127.254205.124.127.25532,766
250205.124.128.0/17205.124.128.1 to 205.124.255.254205.124.255.25532,766
251205.125.0.0/17205.125.0.1 to 205.125.127.254205.125.127.25532,766
252205.125.128.0/17205.125.128.1 to 205.125.255.254205.125.255.25532,766
253205.126.0.0/17205.126.0.1 to 205.126.127.254205.126.127.25532,766
254205.126.128.0/17205.126.128.1 to 205.126.255.254205.126.255.25532,766
255205.127.0.0/17205.127.0.1 to 205.127.127.254205.127.127.25532,766
256205.127.128.0/17205.127.128.1 to 205.127.255.254205.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses